Bug 26009 - Elasticsearch homebranch and holdingbranch facets are limited to 10
Summary: Elasticsearch homebranch and holdingbranch facets are limited to 10
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 16:01 UTC by Nick Clemens
Modified: 2020-09-20 14:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 26009: Add facet size to home/holdingbranch (2.96 KB, patch)
2020-07-17 16:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26009: Add facet size to home/holdingbranch (3.02 KB, patch)
2020-08-03 17:25 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26009: Add facet size to home/holdingbranch (3.07 KB, patch)
2020-08-06 19:17 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 26009: (QA follow-up) It does not harm to test more (1.85 KB, patch)
2020-08-06 19:17 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-07-17 16:01:27 UTC
bug 14419 added the 'size' parameter to most facets, but home/holdingbranch were missed
Comment 1 Nick Clemens 2020-07-17 16:27:03 UTC
Created attachment 107044 [details] [review]
Bug 26009: Add facet size to home/holdingbranch

To test:
0 - Set DisplayLibraryFacets to 'both' and FacetMaxCount to 20
1 - Have more than 10 branches
2 - Have items in each of those branches
3 - Enable ES, set system preference SearchEngine to Elasticsearch
4 - Search for '*'
5 - Expand homebranch/holdingbranch facets
6 - Note you only get 10
7 - Apply patch
8 - Repeat search
9 - Now you get all your facets
Comment 2 Andrew Fuerste-Henry 2020-08-03 17:25:50 UTC
Created attachment 107717 [details] [review]
Bug 26009: Add facet size to home/holdingbranch

To test:
0 - Set DisplayLibraryFacets to 'both' and FacetMaxCount to 20
1 - Have more than 10 branches
2 - Have items in each of those branches
3 - Enable ES, set system preference SearchEngine to Elasticsearch
4 - Search for '*'
5 - Expand homebranch/holdingbranch facets
6 - Note you only get 10
7 - Apply patch
8 - Repeat search
9 - Now you get all your facets

Signed-off-by: Michael Springer <mspringer@mylakelibrary.org>
Comment 3 Josef Moravec 2020-08-06 19:17:20 UTC
Created attachment 107916 [details] [review]
Bug 26009: Add facet size to home/holdingbranch

To test:
0 - Set DisplayLibraryFacets to 'both' and FacetMaxCount to 20
1 - Have more than 10 branches
2 - Have items in each of those branches
3 - Enable ES, set system preference SearchEngine to Elasticsearch
4 - Search for '*'
5 - Expand homebranch/holdingbranch facets
6 - Note you only get 10
7 - Apply patch
8 - Repeat search
9 - Now you get all your facets

Signed-off-by: Michael Springer <mspringer@mylakelibrary.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2020-08-06 19:17:26 UTC
Created attachment 107917 [details] [review]
Bug 26009: (QA follow-up) It does not harm to test more

Test plan:
prove t/db_dependent/Koha/SearchEngine/Elasticsearch/QueryBuilder.t
--> should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2020-08-07 14:56:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-14 21:55:26 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-16 22:54:52 UTC
backported to 19.11.x for 19.11.09
Comment 8 Victor Grousset/tuxayo 2020-09-20 14:17:56 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.